Subject: FVWM: Re: Notification: incoming/719

From: Dominik Vogt <[email-masked]>
Date: Fri, 22 Jun 2001 18:25:13 +0200

On Fri, Jun 22, 2001 at 08:16:33AM -0400, Dan Espen wrote:
> Dominik Vogt <[email-masked]> writes:
> > On Fri, Jun 08, 2001 at 10:56:55AM -0400, Dan Espen wrote:
> > > Dominik Vogt <[email-masked]> writes:
> > > > > I don't normally use icon titles so I might have missed them
> > > > > in previous tests.  Also I'm not sure if leaks at termination
> > > > > are really leaks, if you are going to exit, theres no point in
> > > > > freeing things.  It does look like there were 8 icon fonts allocated.
> > > > > Thats close to the number of windows I created.
> > > > 
> > > > You can easily verify that with the patch you suggest (already
> > > > committed).  I see the growing size too, but to a smaller extent
> > > > (with the patch, I did not try before).
> > > 
> > > The sizes I saw were less than the 10-20K per process reported.
> > > I'd guess the memory lost by failing to free a font would vary
> > > depending on the X server.
> > > 
> > > > Sometimes some
> > > > application seems to freak out and start to consume memory slowly,
> > > > but I could not identify which yet.  I suspect it's either
> > > > FvwmButtons (unlikely) or one of the swallowed apps (xload or
> > > > xosview).  Well, perhaps one of these is simply recording a
> > > > history in malloc'ed memory.
> > > 
> > > I'm only looking at the memory used by fvwm2, thats all that was
> > > mentioned by Andrey.
> > 
> > Could you set Purify to the cause and see if it helps identifying
> > any leaks here?
> 
> I'm not sure what you are asking for.
> Would you like me to run FvwmButtons under Purify?

No, I mean fvwm itself.  If there is a memory leak, Purify might
be able to detect it.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].